Ticket #308 (closed bug: fixed)

Opened 10 years ago

Last modified 10 years ago

[Patch] Setting samplerate on Echo Audiofire Pre8 only works up to 48000

Reported by: euan Assigned to: arnonym
Priority: minor Milestone:
Component: ffado-mixer Version: FFADO 2.0.1
Keywords: samplerate 96000 Cc: euan@dekock.net
The device the bug applies to: Echo Audiofire Pre8

Description

Selecting a sample rate higher than 48000 (88200 or 96000) will fail on an Audiofire Pre8. If the device is set to one of these higher rates from Windows then only the two rates (882000 and 96000) can be selected from FFADO.

Attachments

freq_fix.diff (1.6 kB) - added by euan on 10/06/10 07:26:20.
Diff of the proposed solution

Change History

10/06/10 07:26:20 changed by euan

  • attachment freq_fix.diff added.

Diff of the proposed solution

10/06/10 07:32:21 changed by euan

It appears that the Audiofire Pre8 does not correctly respond to the generic AVC "Input Plug Signal Format" command. However, the device is actually a fireworks device, so we can use the fireworks equivalent command to set the samplerate. This should be applicable to all Echo Audiofire devices as they are all fireworks compatible. (We specifically set the "driver = 2" for these devices in the configuration, so we must assume they will work.

I have attached a diff showing the implementation of the fireworks command, and can confirm that this now works as expected on my Audiofire Pre8.

Please can someone review and incorporate/amend the changes as required.

10/06/10 07:54:19 changed by adi

  • summary changed from Setting samplerate on Echo Audiofire Pre8 only works up to 48000 to [Patch] Setting samplerate on Echo Audiofire Pre8 only works up to 48000.

10/10/10 10:40:21 changed by arnonym

  • status changed from new to closed.
  • resolution set to fixed.

I committed this in r1910, if this breaks anything for other devices like non-pre8-echos, please re-open this ticket.

10/14/10 04:47:56 changed by yves.g

  • status changed from closed to reopened.
  • resolution deleted.

With rev 1912, I still cannot start jack at 88200 Hz or 96000 Hz with the Echo Audiofire Pre8.

10/14/10 06:18:52 changed by euan

  • status changed from reopened to closed.
  • resolution set to fixed.

This fix is not about making Jack work at the higher frequencies - it's just about switching to them on the device. Please raise a separate bug about jack not working at these frequencies.

10/14/10 23:39:01 changed by yves.g

I confirm that it works either through ffado-mixer or through the command ffado-test SetSamplerate.

I can see the correct sample rate through ffado-test Discover.

It works for all sample rates available with the Echo Audiofire Pre8.